<script lang="ts" context="module">
export async function load({session}) {
    return {
        props: {
            sess: session.sess
        }
    }
}
</script>
<script>
import {goto} from "$app/navigation";
import TextInput from "../../components/TextInput.svelte";
import PasswordInput from "../../components/PasswordInput.svelte";
import Button from "../../components/Button.svelte";
import * as Api from "../../api/Api";

export let sess;

let id;
let submitHandler = () => {
    Api.Meeting.end(sess, id).then(() => goto('/')).catch(() => goto('/error?from=end-meeting'));
}
</script>

<svelte:head>
    <title>End Meeting | AZtendance</title>
</svelte:head>

<form on:submit|preventDefault={submitHandler}>
    <TextInput name="id" label="Meeting ID" placeholder="123abc" bind:value={id} /> 
    <Button content="End Meeting" theme="primary" onclick={submitHandler}/>
</form>